#ifndef __INFOWINDOWCLASS
#define __INFOWINDOWCLASS

class CInfoWindow
{
	private:
		char *text;
		HBITMAP hBmp;
		HWND hwnd;
		BYTE step;
		HANDLE animThread;
		HFONT hFont;
		HBRUSH hBrush;

		LRESULT CALLBACK WindowProc(HWND hwnd,UINT msg,WPARAM wp,LPARAM lp);
		static LRESULT CALLBACK StaticWindowProc(HWND hwnd,UINT msg,WPARAM wp,LPARAM lp);

		void wmPaint();

	public:
		CInfoWindow();
		~CInfoWindow();
		void SetText(char *title);//nastavi text
		void NextStep();
		void Animate();
		void StopAnimation();
};

#endif